summaryrefslogtreecommitdiffstats
path: root/zsh/oh-my-zsh/plugins/cargo
diff options
context:
space:
mode:
Diffstat (limited to 'zsh/oh-my-zsh/plugins/cargo')
-rw-r--r--zsh/oh-my-zsh/plugins/cargo/README.md3
-rw-r--r--zsh/oh-my-zsh/plugins/cargo/cargo.plugin.zsh7
2 files changed, 10 insertions, 0 deletions
diff --git a/zsh/oh-my-zsh/plugins/cargo/README.md b/zsh/oh-my-zsh/plugins/cargo/README.md
new file mode 100644
index 0000000..93e69ae
--- /dev/null
+++ b/zsh/oh-my-zsh/plugins/cargo/README.md
@@ -0,0 +1,3 @@
+# cargo
+
+**Deprecated: use the [`rust`](https://github.com/ohmyzsh/ohmyzsh/tree/master/plugins/rust) plugin instead.**
diff --git a/zsh/oh-my-zsh/plugins/cargo/cargo.plugin.zsh b/zsh/oh-my-zsh/plugins/cargo/cargo.plugin.zsh
new file mode 100644
index 0000000..692025e
--- /dev/null
+++ b/zsh/oh-my-zsh/plugins/cargo/cargo.plugin.zsh
@@ -0,0 +1,7 @@
+print ${(%):-'%F{yellow}The `cargo` plugin is deprecated and has been moved to the `rust` plugin.'}
+print ${(%):-'Please update your .zshrc to use the `%Brust%b` plugin instead.%f'}
+
+(( ${fpath[(Ie)$ZSH/plugins/rust]} )) || {
+ fpath=("$ZSH/plugins/rust" $fpath)
+ source "$ZSH/plugins/rust/rust.plugin.zsh"
+}